summaryrefslogtreecommitdiff
path: root/tests/case-fold-char-type
diff options
context:
space:
mode:
authorLorry Tar Creator <lorry-tar-importer@lorry>2016-04-22 04:38:07 +0000
committerLorry Tar Creator <lorry-tar-importer@lorry>2016-04-22 04:38:07 +0000
commit28ef1abc10cfbc2c3d2747c008eb2300858d0426 (patch)
tree41208fb8f393e6cb6cc8f939623ad47a0db17876 /tests/case-fold-char-type
downloadgrep-tarball-master.tar.gz
Diffstat (limited to 'tests/case-fold-char-type')
-rwxr-xr-xtests/case-fold-char-type22
1 files changed, 22 insertions, 0 deletions
diff --git a/tests/case-fold-char-type b/tests/case-fold-char-type
new file mode 100755
index 0000000..d5fd67c
--- /dev/null
+++ b/tests/case-fold-char-type
@@ -0,0 +1,22 @@
+#!/bin/sh
+# This would fail for grep-2.5.3
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+printf 'Y\n' > exp1 || framework_failure_
+fail=0
+
+for LOC in en_US.UTF-8 zh_CN $LOCALE_FR_UTF8; do
+ out=out1-$LOC
+ printf '1\nY\n.\n' | LC_ALL=$LOC grep -i '[[:lower:]]' > $out || fail=1
+ compare exp1 $out || fail=1
+done
+
+printf 'y\n' > exp2 || framework_failure_
+
+for LOC in en_US.UTF-8 zh_CN $LOCALE_FR_UTF8; do
+ out=out2-$LOC
+ printf '1\ny\n.\n' | LC_ALL=$LOC grep -i '[[:upper:]]' > $out || fail=1
+ compare exp2 $out || fail=1
+done
+
+Exit $fail